API referenceCounterparty
POST /api/Counterparty/Post
This endpoint will create a new Counterparty if the ID is null or zero, or update an existing Counterparty if a valid ID is provided. For creation, do not include an ID or set the ID to zero in the request body. For updating, include the existing Counterparty ID and the updated data in the request body. Custom Fields In order to add or update custom fields, include the custom field ID, Name, Type and Value in the property customFieldValues of the request body.
POST
/api/Counterparty/Postcurl -X POST "/api/Counterparty/Post" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
{
"id": 0,
"legalName": "Sample Counterparty",
"shortName": null,
"address": null,
"municipality": null,
"externalId": null,
"zipCode": null,
"countryId": null,
"phone": null,
"vat": null,
"glAccount": null,
"taxOffice": null,
"isActive": false,
"swiftBic": null,
"comments": null,
"eic": null,
"registryAccount": null,
"selfBilling": 0,
"creditShortTermRating": 0,
"creditLongTermRating": 0,
"counterPartyTypes": null,
"customFieldValues": null,
"counterPartyTimeseries": []
}
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.BackOffice.CounterPartyCreationDto[] | null
Response
application/json
A list of Counterparties.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.CounterPartyDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"legalName": "string",
"shortName": "string",
"address": "string",
"municipality": "string",
"zipCode": "string",
"countryId": 1,
"country": "string",
"phone": "string",
"vat": "string",
"glAccount": "string",
"taxOffice": "string",
"isActive": true,
"swiftBic": "string",
"comments": "string",
"eic": "string",
"selfBilling": 1,
"selfBillingName": "string",
"externalId": "string",
"creditShortTermRating": 0,
"creditShortTermRatingName": "string",
"creditLongTermRating": 0,
"creditLongTermRatingName": "string",
"numberOfLinkedDocuments": 0,
"registryAccount": "string",
"counterPartyTypes": [
{
"id": 0,
"name": "string"
}
],
"counterPartyTimeseries": [
{
"timeseriesId": 0,
"timeseriesName": "string",
"timeseriesUnitOfMeasurement": 0,
"timeseriesUnitOfMeasurementName": "string",
"timeseriesSource": "string",
"timeseriesGranularity": 0,
"timeseriesGranularityName": "string",
"counterPartyId": 0,
"validityOrder": 0,
"counterPartyTimeseriesTypeId": 0,
"counterPartyTimeseriesTypeName": "string"
}
],
"customFieldValues": [
{
"customFieldId": 0,
"customFieldName": "string",
"customFieldType": 1,
"validFrom": "2026-01-15T09:30:00Z",
"value": "string"
}
],
"createdAt": "2026-01-15T09:30:00Z",
"modifiedAt": "2026-01-15T09:30:00Z"
}
]
}